blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
bdd4cd147bdde4f07e720335f396108a8e1fd58e | Shell | sshambar/readynas-test | /TEST10/start.sh | UTF-8 | 854 | 3.828125 | 4 | [] | no_license | #!/bin/bash
#
# Ensure that symlinks are in place
set -e
LOG=/tmp/test-addon.status
SERVICE=TEST10
backup_file() {
file=$1
[ ! -h $file ] || return 0
# backup original smbd
[ -f $file -a ! -f ${file}.orig ] && cp -a $file ${file}.orig || :
}
RESTART=
set_symlink() {
src=$1 dest=$2
if ! [ -h $dest -a "... | true |
f9a1ce6546310da5a2d95037595749b524a023b4 | Shell | biadelmont/playground | /.bin/new-problem | UTF-8 | 1,137 | 3.859375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#vim:set ft=sh
function _can_create_folder {
not_empty_with_no_folders=1
correct_depth=1
if [ -n "$(ls -F | grep '/')" ]; then
cd "$(ls -F | grep '/' | head -1)"
if [ -n "$(ls -F | grep '/')" ]; then
correct_depth=0
fi
cd - > /dev/null
fi
if... | true |
5fedf17abb261f43b271cb5a9688d2ba370d0c1a | Shell | vlad17/mve | /scripts/lint.sh | UTF-8 | 385 | 3.421875 | 3 | [
"Apache-2.0"
] | permissive | #! /usr/bin/env bash
# Lints code:
#
# # Lint mve by default.
# ./scripts/lint.sh
# # Lint specific files.
# ./scripts/lint.sh mve/{reporter,plot}.py
set -euo pipefail
lint() {
PYTHONPATH=mve pylint --disable=locally-disabled,fixme,too-many-return-statements "$@"
}
main() {
if [[ "$#" -eq 0 ]]; then... | true |
4c5265158a3f00429c14f0a26cc98b4990c41f3d | Shell | hutchison/.files | /scripts/backup_postgres_db.sh | UTF-8 | 1,041 | 4.21875 | 4 | [] | no_license | #!/usr/bin/env bash
# Exportiert die Datenbank $DBNAME ($1) als SQL-Datei
# in das Verzeichnis $DESTDIR ($2)
# mit dem Präfix $PREFIX ($3).
# Damit die Datenbank exportiert werden kann, braucht der ausführende Nutzer
# $username Zugriff:
# sudo -u postgres psql $DBNAME
# $DBNAME=# GRANT CONNECT ON DATABASE database_n... | true |
e9c99d1d3087fca4536fda4268b0300caa9e499c | Shell | lihsup/co2reader | /step.sh | UTF-8 | 255 | 2.734375 | 3 | [] | no_license | #!/bin/bash
#Get parameters
day1=$1
day2=$2
direction=$3
resid=$4
function=$5
cname=$6
#Get current position
TOP_DIR=$(pwd)
#Add all necessary jars
LIBPATH=lib/java-json.jar
docker exec -d $cname ./forward.sh $day1 $day2 $direction $resid $function
| true |
18b1b4deda7ead833de98d80ac80236a1ebdc4e4 | Shell | shirlymadushanka/e16-co502-RV32IM-pipeline-implementation-group1 | /cpu/scripts/test-data-cache.sh | UTF-8 | 361 | 2.640625 | 3 | [] | no_license | #!/bin/bash
echo "data-cache test bench run start!"
echo ""
# Navigate to reg-file module directory
cd ../data_cache_module
# if any error happens exit
set -e
# clean
rm -rf data_cache.vvp
rm -rf data_cache_wavedata.vcd
# compiling
iverilog -o data_cache_tb.vvp data_cache_tb.v
# run
vvp data_cache_tb.vvp
echo ""
... | true |
0e273c2f39b3ac805b13946759e46dd914787330 | Shell | mauroxcf/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/3-until_holberton_school | UTF-8 | 142 | 2.96875 | 3 | [] | no_license | #!/usr/bin/env bash
#sctipt that print holberschool 10 times with until
i=0
until [ $i -gt 9 ]
do
echo "Holberton School"
i=$((i+1))
done
| true |
2a297866cc8cbaad2dfd47291a84c6336c5eeeba | Shell | christophpickl/ponyo-svn | /artifact/cpp-playground/cmake-shared-playground/trunk/my_cmake_install.sh | UTF-8 | 282 | 3 | 3 | [] | no_license | #!/bin/bash
CHECK() {
RETURN_CODE=$1
if [ ${RETURN_CODE} -ne 0 ]; then
echo FAIL!!! RETURN_CODE was: ${RETURN_CODE}
exit 1
fi
}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr/local
#cmake -DCMAKE_INSTALL_PREFIX:PATH=/pxtmp/usr/local
CHECK $?
make
CHECK $?
make install
CHECK $?
| true |
8d0b7547c67168c71e5f078f63e558e1ca611df8 | Shell | yota-code/marccup | /export_path | UTF-8 | 542 | 2.703125 | 3 | [] | no_license | #!/usr/bin/env zsh
source_dir=${0:A:h}
export MARCCUP_autotest_DIR=${source_dir}/autotest
function push_pythonpath() {
pth=$1:A
echo "+ ${pth}"
export PATH=${pth}/script:$PATH
export PYTHONPATH=${pth}/package:$PYTHONPATH
}
push_pythonpath ${source_dir}/../oaktree
push_pythonpath "${source_dir}/../cc-pathlib"
pu... | true |
18c0bddf985f246a4fb416b9dcae84fe350ef6c4 | Shell | SupinfoProjects/transcode | /scripts/clean.sh | UTF-8 | 334 | 3.03125 | 3 | [] | no_license | #!/bin/bash
if ! [ $(id -u) = 0 ]; then
echo "Please run as root"
exit
fi
echo "Stopping all containers"
docker stop $(docker ps -a -q)
echo "Deleting all containers"
docker rm $(docker ps -a -q)
echo "Deleting all images"
docker rmi $(docker images -q)
echo "All docker containers and images have been stopped... | true |
b85560027dabc4593db8dff9cdce113e9c86496b | Shell | gearboxworks/iso-maker | /docker-image/build/rootfs/root/.bash_login | UTF-8 | 312 | 2.796875 | 3 | [] | no_license | #!/bin/bash
#
/build/permissions.sh restore
# No longer used.
#if [ ! -d /tmp/rootfs ]
#then
# echo "# Creating directory ..."
# mkdir -p /tmp/rootfs
#fi
#
#if [ -f /build/rootfs.changes.tar.gz ]
#then
# echo "# Extracting rootfs to /tmp/rootfs ..."
# tar zxf /build/rootfs.changes.tar.gz -C /tmp/rootfs/
#fi
| true |
51bb4f27a4ca7b02f23a22444c67e5c0a7e18e61 | Shell | CAST-projects/QRPortal | /build/server_install.sh | UTF-8 | 3,305 | 3.9375 | 4 | [] | no_license | #!/bin/bash
# service name: releasenotemanager.service
# set -x
display_usage()
{
echo "usage:"
echo "$0 -p <package_path> -r <port>"
exit 1
}
unset PACKPATH
unset SRVPORT
while getopts "p:r:l:u:a:t:d:" OPT; do
case $OPT in
p) PACKPATH=${OPTARG};;
r) SRVPORT=${OPTARG};;
\?) display_usag... | true |
80b23128c18f2fc8f1bb19c5bb0ec362ccad158e | Shell | NWU-MuST/STP-services | /scheduler/speech_services/align.sh | UTF-8 | 612 | 2.65625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#$ -N ##JOB_NAME##
#$ -e ##ERR_OUT##
#$ -o ##STD_OUT##
#$ -cwd
TICKET=##INSTANCE_TICKET##
WHERE=##SPEECH_SERVICES##
DOCKER_PATH=##DOCKER_PATH##
REAL_PATH=##REAL_PATH##
AUDIO=`python $WHERE/json_parse.py $TICKET audiofile | sed "s:"$REAL_PATH":"$DOCKER_PATH":g"`
TEXT=`python $WHERE/json_parse.py $TICKET t... | true |
313b5e1c1e3455e68e91f6847482bc40117bcea0 | Shell | olebole/voclient | /configure | UTF-8 | 5,623 | 4.0625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# CONFIGURE -- A pseudo-autoconf configure script to allow a standard
# build command sequence to reset the installation directories. We
# assume a build/install of this package can be accomplished with the
# commands:
# % ./configure --prefix=/opt/local
# % make
# % make install
#
# This configu... | true |
0be94034afd16bd8bb171741dcbeb5b64e2ca8af | Shell | matclab/rofi-hamster | /rofi-hamster | UTF-8 | 3,177 | 3.625 | 4 | [] | no_license | #!/usr/bin/env bash
set -eo pipefail
: "${CACHE_DIR:="$HOME/.cache/frece/"}"
[[ -d $CACHE_DIR ]] || mkdir -p "$CACHE_DIR"
CACHE="$CACHE_DIR"/hamster.db
# To enable mocking in test
: "${_ROFI:=rofi}"
: "${_HAMSTER:=hamster}"
: "${_DUNSTIFY:=dunstify}"
: "${_XSV:=xsv}"
: "${_FRECE:=frece}"
: "${_TESTING:="no"}"
func... | true |
57a3a9d04ffaa2c2bd6e8fa4843d2e96e2aa74b3 | Shell | heyanbin/first_project | /get_TsTv_rate.sh | UTF-8 | 510 | 3.5 | 4 | [] | no_license | #!/bin/sh
# Ts/Tv in SNPs is Transition/Transversion.
# vcf files in directory, this script need one argument:directory, and you will get the Ts/Tv result in file named TsTv_result.txt
Fold_A=$1
for i in $Fold_A/*.vcf;do
data1=$(awk '{print FILENAME;exit}' $i)
data3=$(awk '{if(($4~/[AG]/ && $5~/[AG]/) || ($4~/[CT]/ ... | true |
635f0b1292e4bfd7f3036edd026d637a085c257d | Shell | flaccid/rightscripts | /attachments/configure_chrony.sh | UTF-8 | 859 | 3.453125 | 3 | [] | no_license | #! /bin/bash -e
# usage: configure_chrony.sh [nameserver nameserver..]
# configures chrony
# this script should be run as root
ntp_servers="$@"
[ -z "$ntp_servers" ] && ntp_servers=pool.ntp.org
# convert to array
read -a ntp_servers <<<$ntp_servers
echo "configuring to sync with: [$ntp_servers]"
# we assume that ... | true |
c3dcc5316c16383b72588713dc55907cbcbbe9cc | Shell | giacomo21/Image-analysis | /Graphs/LX-2/molecule_otsu = False/BioImageXD-1.0/bin/fix_install_names.sh | UTF-8 | 3,050 | 3.375 | 3 | [] | no_license | #! /bin/bash
VTK_SOURCE_DIR="/Users/kallepahajoki/VTK"
ITK_SOURCE_DIR="/Users/kallepahajoki/ITK/InsightToolkit-3.4.0/bin/"
if [ "$1" != "" ]; then
VTK_SOURCE_DIR=$1
fi
if [ ! -d $VTK_SOURCE_DIR ]; then
echo "The VTK source directory specified does not exist"
echo "Current VTK directory: $VTK_SOURCE_D... | true |
1b162830805b0e248c42697cbdf467bfa75ba266 | Shell | mitchgu/isotope | /ansible/roles/isotope/templates/iso_cmd.sh.j2 | UTF-8 | 2,086 | 3.125 | 3 | [] | no_license | #! /bin/bash
echo -e '
Use the \033[31miso\033[0m command! Usage:
iso \033[31mhome\033[0m - takes you to the app directory
iso \033[31mshell\033[0m - start a rails console
iso \033[31mstart\033[0m - starts the server using foreman
iso \033[31mmigrate\033[0m - migrate the db
iso \033[31mprecompile\0... | true |
f1b81ce1a61d6c7c634e7c018e3cc2c31eff511a | Shell | CMCDragonkai/.dotfiles | /binc/uln2wln | UTF-8 | 674 | 3.8125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env sh
# need administrator mode before running this, as it relies on CMD, and
# CMD's mklink does not respect the create symbolic link privilege
# right now relative symlinks gets converted to absolute symlinks
# this is not because of mklink, but due to cygpath
: '
uniln2winln - Convert a Unix symlink to... | true |
eafb2221027c355613e2caf562e5491f9e7d2e23 | Shell | nielsmaerten/autotune-docker-cloud | /gcp-deploy.sh | UTF-8 | 488 | 2.640625 | 3 | [] | no_license | #!/bin/bash
# Run this script in GCP Console to build and deploy the docker container to GCP Container Registry
# curl -s https://raw.githubusercontent.com/nielsmaerten/autotune-docker-cloud/master/gcp-deploy.sh | bash
rm -rf autotune-docker-cloud/
git clone https://github.com/nielsmaerten/autotune-docker-cloud
cd au... | true |
139fb8754d0ada0f96a81347dbe78239b660022a | Shell | barthouse/linuxfromscratch | /scripts/install/install-libcap.sh | UTF-8 | 629 | 2.8125 | 3 | [] | no_license | PKGNAME=libcap
PKGVER=2.24
TAREXT=xz
DIR="`dirname \"$0\"`"
source $DIR/dosetup.sh
source $DIR/dotar.sh
echo 'CONFIG'
sed -i '/install.*STALIBNAME/d' libcap/Makefile \
1> $CONFIGLOG 2> $CONFIGERR
echo 'MAKE'
make \
1> $MAKELOG 2> $MAKEERR
echo 'MAKE INSTALL'
make RAISE_SETFCAP=no prefix=/usr install \
... | true |
4d23b997a20779796d71c552e062153daf274799 | Shell | zephinzer/version-tagging-scripts | /get-next | UTF-8 | 2,873 | 4.25 | 4 | [] | no_license | #!/bin/bash
help () { printf "
***********
get-next.sh
***********
gets the next semver versioning of the current folder based on the version
in the git tag list. version should be in format x.y.z where x is the major
version, y is the minor version and z is the patch version.
options:
\t-m --merged : retrieve... | true |
a5d2959aab1c39c1fde4bb97d906b1b7979da76c | Shell | delkyd/alfheim_linux-PKGBUILDS | /python2-pp/PKGBUILD | UTF-8 | 884 | 2.75 | 3 | [] | no_license | # Maintainer: jyantis <yantis@yantis.net>
# Contributor: Akshay Srinivasan <akshaysrinivasan@gmail.com>
pkgname=python2-pp
pkgver=1.6.4
pkgrel=1
pkgdesc="Parallel and distributed programming for Python 2"
arch=('i686' 'x86_64')
depends=('python2>=2.5')
url="http://www.parallelpython.com"
license=('BSD-like license')
s... | true |
a62cb97fbf0bd5c225154848ed6bdab103722d27 | Shell | xhaa123/blfs | /mld/frei0r-plugins/01-frei0r-plugins-1.7.0.sh | UTF-8 | 900 | 3.15625 | 3 | [] | no_license | #!/bin/bash
${log} `basename "$0"` " started" blfs_all &&
${log} `basename "$0"` " download" blfs_all &&
if test -d /sources/frei0r-plugins-1.7.0
then
rm -rf /sources/frei0r-plugins-1.7.0
fi
SCRIPT=`realpath $0`
SCRIPTPATH=`dirname $SCRIPT`
wget https://files.dyne.org/frei0r/releases/frei0r-plugins-1.7.0.tar.gz \... | true |
95bfb7f3a5496952c6296e9e8c39f12bb7e44fb1 | Shell | xterm-x11/conf | /dotfiles/.profile | UTF-8 | 1,931 | 2.78125 | 3 | [] | no_license | # ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.
# the default umask is set in /etc/profile; for setting t... | true |
0bc89ca93f799735ca484666ed3893148934bee7 | Shell | deads2k/origin-server | /cartridges/openshift-origin-cartridge-php/usr/lib/php_config | UTF-8 | 2,073 | 3.734375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source $OPENSHIFT_CARTRIDGE_SDK_BASH
source ${OPENSHIFT_PHP_DIR}usr/lib/php_context
function select_php_document_root {
for dir in php public public_html web www; do
if [ -d "$1/$dir" -o -h "$1/$dir" ]; then
export OPENSHIFT_PHP_DOCUMENT_ROOT="$1/$dir"
echo "Application... | true |
b7c7b60cf13865fd3d93a320b611b1f475f3a67d | Shell | daptiv/PullQuester | /install-hub.win.sh | UTF-8 | 1,943 | 3.8125 | 4 | [] | no_license | #!/bin/bash
bash_path() {
echo $1 | sed -e 's#\(.\):#/\1#' | sed -e 's#\\#/#g' ;
}
goto_temp_dir() {
if [ ! -d .pullquester-temp ]; then
mkdir .pullquester-temp
fi
pushd .pullquester-temp > /dev/null
}
cleanup_temp_dir() {
popd > /dev/null
rm -r .pullquester-temp
}
install_go() {
... | true |
c4f45f872221374da05aa6ea6fd4d1598a962a37 | Shell | parvez2014/Jalangi-Berkeley | /scripts/type_coercions_octane.sh | UTF-8 | 974 | 3.125 | 3 | [] | no_license | #!/bin/bash
dir="type_coercions_results/octane"
rm -rf instrumentFF_tmp
mkdir type_coercions_results
mkdir ${dir}
for bm in `ls -1 tests/octane2/index_*.html | grep -v -e "zlib\|typescript\|earley-boyer\|code-load" | xargs` # exclude benchmarks with generated or obfuscated code
#for bm in `ls -1 tests/octane2/index... | true |
254a758e103e9953a3da5549731defcfb8c5acbe | Shell | rickspencer3/cobol-stacksmith | /download-example-app.sh | UTF-8 | 657 | 3.703125 | 4 | [] | no_license | #!/bin/bash
# Downloads example application and scripts for building.
set -euo pipefail
read -p "This will overwrite any files in user-scripts or user-uploads. Continue (y/n)? " -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]
then
echo "Downloading the example app and scripts..."
wget https://raw.githubusercontent.com... | true |
439d5a9da4a56ceca87615e55cd13e539b7358c2 | Shell | yeochinyi/codetest | /exercism/dl_all.sh | UTF-8 | 831 | 3.625 | 4 | [] | no_license | #set -x
exer_ws=$(exercism workspace)
tmp_file="$HOME/tmp/exercism/exercises-$1.html"
wget "https://exercism.io/tracks/$1/exercises" -O $tmp_file --no-check-certificate
list=$(rg "/tracks/([\w\-]+)/exercises/([\w\-]+)" $tmp_file -o -r '$2' -N)
#echo $list
num_skip=0
num_dl_ok=0
num_dl_fail=0
for exer in $list; do
e... | true |
5a523c16416c45ca13faf0482a5004b14c164374 | Shell | Escapist70/chromiumos | /src/platform/memento_softwareupdate/ping_omaha.sh | UTF-8 | 5,726 | 3.25 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Copyright (c) 2009 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
source `dirname "$0"`/memento_updater_logging.sh
# Example Omaha ping and response (converted to 80 char width w/ backslashes):
# <?xml... | true |
707d85305618f8e2874c18ea112effea9bcc629c | Shell | atphalix/freesbie2 | /extra/rootmfs.sh | UTF-8 | 603 | 3.328125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
#
# Copyright (c) 2005 Dario Freni
#
# See COPYING for licence terms.
#
# $FreeBSD$
# $Id: rootmfs.sh,v 1.1 2005/10/03 18:37:50 saturnero Exp $
set -e -u
if [ -z "${LOGFILE:-}" ]; then
echo "This script can't run standalone."
echo "Please use launch.sh to execute it."
exit 1
fi
TMPFILE=$(mktemp... | true |
81b03769a9c5d5b19d65c118c040c7cb9a38f474 | Shell | Spreadcat/vagrant-lazy | /bootstrap/tools/init.sh | UTF-8 | 383 | 3.125 | 3 | [] | no_license | #!/bin/bash
YUMPACKAGES='vim screen tcpdump tree telnet bash-completion bind-utils'
APTPACKAGES='vim screen tcpdump tree telnet'
echo "Installing tools"
case "${TDISTRO}" in
centos|redhat)
yum install -y ${YUMPACKAGES}
timedatectl set-timezone Europe/Oslo
;;
ubuntu)
apt-get install -y ${APTPACKAG... | true |
8dafdf28904bb05a2e2f8c8a5710912cbde3df32 | Shell | stereolabs/zed-ros2-wrapper | /.ci/run_tests.sh | UTF-8 | 889 | 2.96875 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-generic-cla",
"BSD-2-Clause"
] | permissive | #!/bin/bash
set -e
ttk='--->'
WORKDIR=$(pwd)
#echo "${ttk} WORKDIR (${WORKDIR})content"
#ls -lah ${WORKDIR}
echo "${ttk} Check artifact presence"
ls -lah ../ros2_ws/install
#ls -lah /builds/sl/ros2_ws/install/zed_interfaces/share/zed_interfaces/
#ls -lah /builds/sl/ros2_ws/install/zed_components/share/zed_component... | true |
fc77e2e9255c50efc2c906d5a208257dcf5d22e5 | Shell | ppc64le/build-scripts | /a/airline/airline_ubi_8.3.sh | UTF-8 | 1,243 | 3.234375 | 3 | [
"Apache-2.0"
] | permissive | # -----------------------------------------------------------------------------
#
# Package : airline
# Version : 0.6
# Source repo : https://github.com/airlift/airline.git
# Tested on : UBI 8.3
# Language : Java
# Travis-Check : True
# Script License: Apache License, Version 2 or later
# Mainta... | true |
ff816c043b4bb39ce1a3be96e83c7bce7b8e99c8 | Shell | rparrapy/dagster | /.buildkite/scripts/dagster_k8s.sh | UTF-8 | 2,812 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #! /bin/bash
ROOT=$(git rev-parse --show-toplevel)
set -eu
TOX_PYTHON_VERSION="$1"
# Environment vars
export DAGSTER_DOCKER_IMAGE="${AWS_ACCOUNT_ID}.dkr.ecr.us-west-1.amazonaws.com/dagster-docker-buildkite:${BUILDKITE_BUILD_ID}-${TOX_PYTHON_VERSION}"
export CLUSTER_NAME=kind`echo ${BUILDKITE_JOB_ID} | sed -e 's/-//g... | true |
3a0e3f937952d81042fdfec0733727ffd212e9ca | Shell | ggmanuilov/node-disjoint-set | /bash/build.sh | UTF-8 | 481 | 2.546875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
BASEDIR=$(dirname "$0")
cd ${BASEDIR}/../
PROTO_DEST=./generated
mkdir -p ${PROTO_DEST}
## JavaScript code generating
protoc --plugin=protoc-gen-ts=node_modules/.bin/protoc-gen-ts --ts_out=./generated --proto_path=./protos ./protos/dsu_service.proto
protoc --plugin=protoc-gen-grpc=./node_module... | true |
101d7dcffe5502abf736d7aefb13db13d9a4bc70 | Shell | sigma-random/uconnect-swdl | /RA4/usr/share/scripts/app-install/us-app-install.sh | UTF-8 | 818 | 3.046875 | 3 | [] | no_license | #!/bin/sh
#
# ISO_PATH must be an environment variable set upon being called
#
if [[ "$ISO_PATH" == "" ]]; then
exit 1
fi
#
# USB_PATH must be set as well
#
if [[ "$USB_PATH" == "" ]]; then
exit 2
fi
#
# ISO_PATH must be defined and point to the root of the mounted update
# ISO image. We prefer binaries in the... | true |
3b679e8a67a2c47319d8a0bc463d311378a371d6 | Shell | langthom/data-structures | /RedBlackTree/Python/redblack.py | UTF-8 | 22,454 | 3.140625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Copyright (c) 2015, Thomas Lang. All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
... | true |
7414f1c0386fe8345297efcc277f100224a0b86c | Shell | montanpi/caja-scripts | /scripts/links/find hard links | UTF-8 | 424 | 3.6875 | 4 | [] | no_license | #!/usr/bin/env bash
FILE_SYSTEM=$(zenity --title "Select a folder to search for hard links" --file-selection --directory)
if [ -n "$FILE_SYSTEM" ]; then
a=$(find "$FILE_SYSTEM" -xdev -samefile "$@")
if [ -n "$a" ]; then
zenity --info --title "Hard Links of " "$@" --width=700 --text="$a"
else
zenity --inf... | true |
a82852504638d3a2aa899d19159ad738bfb8722c | Shell | hardboydu/packet-journey | /tests/libnetlink/script.sh | UTF-8 | 2,895 | 3.578125 | 4 | [
"BSD-3-Clause",
"BSD-2-Clause"
] | permissive | #!/bin/sh
set -e
set -u
cd `dirname $0`
TEMPDIR=`mktemp -d`
cleanup() {
rm -rf $TEMPDIR
kill $process_pid
}
trap cleanup 0
read_timeout() {
set +e
# Can't use $$, as it's the parent shell pid, not the subshell.
# Thus incorrect if invoked in a subshell
current_pid=$(exec sh -c 'echo $PPID')
saved_traps="$(t... | true |
1df6a665af10dd4e5f0acfd9c4a73809b3adfd7b | Shell | hyxbiao/imgcv | /examples/fashionAI/train.sh | UTF-8 | 672 | 2.59375 | 3 | [] | no_license |
attr_key=${1:-skirt_length_labels}
data_dir=${2:-~/data/vision/fashionAI/}
pretrain_model_dir=${3:-models/pretrain_resnet50/}
model_dir=${4:-models/$attr_key/baseline}
now=`date +%Y%m%d_%H%M`
pretrain_warm_vars='^((?!dense).)*$'
log_dir=log/$attr_key
mkdir -p $log_dir
echo "attr_key: $attr_key"
echo "data_dir: $d... | true |
1f94ee03619fced5e0168ef6b1436afa297cf07f | Shell | odeter/emacs | /.emacs.d/var/backup/!home!christopher!Documents!Work!Derant!it_security_testing!automalscript.sh~ | UTF-8 | 295 | 2.78125 | 3 | [] | no_license | #!/bin/bash
# A simple script
response=$(curl --compressed https://raw.githubusercontent.com/stamparm/ipsum/master/ipsum.txt 2>/dev/null);
if [ 0 -eq $? ]; then
${response} | grep -v "#" | grep -v -E "\s[1-2]$" | cut -f 1 > ip_list.txt && python3 automaltest.py
fi
python3 automaltest.py
| true |
88a0ad4ee487025fa56509c9fc82c55d0d45407a | Shell | srl295/icu | /icufacts/c/check.sh | UTF-8 | 201 | 2.671875 | 3 | [] | no_license | #!/bin/sh
# Copyright (c) 2010 IBM Corporation and Others. All Rights Reserved.
#make -C data
for dir in `ls`;
do
if [ -f "${dir}/Makefile" ];
then
make -C "${dir}" check
fi
done
| true |
25f3142827980919af15764b69ec29bab8bc0246 | Shell | cjgd/scripting-libs | /sed/diff_d_D | UTF-8 | 517 | 3.40625 | 3 | [] | no_license | #! /bin/sh
# Carlos Duarte <cgd@mail.teleweb.pt>, 980722/990607
# diff between d, and D sed commands
for i in d D; do
case $i in
d) echo "running with command 'd' (no output)" ;;
D) echo "running with command 'D' (only 2nd line)" ;;
esac
cat<<EOF|
line 1
line 2
EOF
sed -e 1!q -e N -e $i
done
#
# d: delet... | true |
fdcb867f9f533ebb711758c06dfc788324b30acc | Shell | zhooravlik/magento2-infrastructure | /build/core_dev/performance/mpaf/scripts/parsible/test/test-jmeter-batch.sh | UTF-8 | 297 | 2.8125 | 3 | [] | no_license | #!/bin/sh
JMETER_SAMPLE=$1
DEBUG="--debug 1"
PYTHON_HOME=/usr
${PYTHON_HOME}/bin/python ../parsible.py --log-file ${JMETER_SAMPLE} --parser parse_jmeter --batch-mode 1 ${DEBUG} --pid-file /tmp/parsible.pid --stat-prefix sample-test
if [ -f /tmp/parsible.pid ];
then
rm /tmp/parsible.pid
fi
| true |
67e8387a8aee6c2a454c7d7cff93d322c5cae825 | Shell | ramseykarim/helpss | /pipeline/idl_preprocess_wrapper.sh | UTF-8 | 9,736 | 4.3125 | 4 | [] | no_license | #!/bin/bash
# bash wrapper for Tracy's IDL preprocessing for HELPSS Herschel data
# Author: Ramsey Karim
# The idea here is to run Tracy's preprocessing code from command line using variables
# This wrapper should be run with certain command line arguments:
# 1: directory containing the "level2_5/" directory (e.g. /... | true |
5247548a9f7b892e72a68f7c8adf4c1da8d16314 | Shell | dyomas/pyhrol | /examples/test.sh | UTF-8 | 2,677 | 3.03125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# Copyright (c) 2013, 2014, Pyhrol, pyhrol@rambler.ru
# GEO: N55.703431,E37.623324 .. N48.742359,E44.536997
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must reta... | true |
c850bfb363a799adee05800650e9134df4db4dd4 | Shell | jackson910210/CREME | /CREME_windows/CREME_backend_execution/scripts/preprocessing/NetworkPacket/make_subflow_dataset.sh | UTF-8 | 1,068 | 3.546875 | 4 | [] | no_license | if [ $# != 3 ]; then
echo "Usage: ./make_subflow_dataset.sh time_window(secs) pcap_file_path code_path"
exit -1
fi
time_window=$1
pcap_file_path=$2
code_path=$3
cd $pcap_file_path
mkdir -p "pcap_${time_window}secs"
for pcapfile in $(ls *.pcap); do
# # split to subflow
# tshark -r $filename -Y "frame.... | true |
c5cf8457f895a7a6e9f6e3c2fe1ea502b6298eee | Shell | koraynilay/linux-custom-scripts | /stty1yn.sh | UTF-8 | 386 | 3.234375 | 3 | [] | no_license | #!/bin/sh
h=$HOME #zprofile location
sscrpt='starti3' #scprit/command to substitute (don't use "/")
case $1 in
y|yes|on|true)sed -i "s/echo no start \#$sscrpt/$sscrpt/" "$h/.zprofile";;
n|no|off|false)sed -i "s/$sscrpt/echo no start \#$sscrpt/" "$h/.zprofile";;
*)printf "Usage:\n$0 [y|yes|on|true]\tto enable autosta... | true |
c53209a2ef79fffb9e5737b1e3457ef77ce0d238 | Shell | mrquincle/crownstone-bash | /get_events.sh | UTF-8 | 236 | 2.59375 | 3 | [] | no_license | #!/bin/bash
source login.sh
endpoint=sse
echo "Install moreutils to get timestamp (ts) command"
curl --silent --no-buffer --http2 -H 'Accept:text/event-stream' -H "$auth_header" "$event_server/$endpoint" | ts '[%Y-%m-%d %H:%M:%.S]'
| true |
49988e578bc979e9d149671910d92072dcb00c91 | Shell | KeiyaTomizawa/rc_files | /.zshrc | UTF-8 | 10,904 | 2.84375 | 3 | [] | no_license | # Search path for the cd command
#if [ -z ${ZLOGIN:=} ];
#then
# source ${ZDOTDIR}/.zlogin
#fi
export ZDOTDIR=/home/${USER}/.zsh
export DISPLAY=localhost:0.0
export LANG=ja_JP.UTF-8
cdpath=(.. ~ )
# Use hard limits, except for a smaller stack and no core dumps
unlimit
#limit stack 8192
limit -s
#umask 022
# Set up... | true |
783e9a0497cc03efe6db68e2fa4442e5977810a3 | Shell | VDR4Arch/vdr4arch | /plugins/vdr-skinflat/PKGBUILD | UTF-8 | 1,199 | 2.71875 | 3 | [] | no_license | # This PKGBUILD is part of the VDR4Arch project [https://github.com/vdr4arch]
# Maintainer: Christopher Reimer <mail+vdr4arch[at]c-reimer[dot]de>
pkgname=vdr-skinflat
pkgver=0.1.1
_vdrapi=2.6.3
pkgrel=30
pkgdesc="Simple and slim skin for VDR"
url="https://github.com/vdr-projects/vdr-plugin-skinflat"
arch=('x86_64' 'i6... | true |
799d51c0187b521eee3d189152d4999763daaa25 | Shell | Offirmo/web-tech-experiments | /tosort/2015/simpli/contrib/offirmo-shell-lib/bin/osl_lib_semver.sh | UTF-8 | 746 | 3.71875 | 4 | [
"Unlicense",
"LicenseRef-scancode-public-domain"
] | permissive | #! /bin/bash
## Offirmo Shell Library
## https://github.com/Offirmo/offirmo-shell-lib
##
## This file defines :
## version manipulation functions
##
## This file is meant to be sourced :
## source osl_lib_semver.sh
##
## inspired from :
## https://www.npmjs.org/doc/misc/semver.html
source osl_lib_version.sh
... | true |
d49f5927268873555dddd597ddb20ba5543744c9 | Shell | rharriszzz/zos_python | /install_jupyter_and_bokeh | UTF-8 | 3,570 | 2.78125 | 3 | [] | no_license | #!/bin/sh
# https://www.ibm.com/products/open-enterprise-python-zos/pricing
# click on "Try Free Edition"
if [[ "$ENVIRONMENT_IS_CLEAN" != "YES" ]]; then
keep="HOME=$HOME LOGNAME=$LOGNAME USER=$USER"
keep="$keep _BPXK_AUTOCVT=ON ENVIRONMENT_IS_CLEAN=YES PATH=$PATH"
exec /bin/env -i $keep "$0" "$@"
fi
# =... | true |
25a188a91eef419b4ac98fc1e2097a36021a182b | Shell | shinesolutions/aem-helloworld-custom-stack-provisioner | /post-common.sh | UTF-8 | 1,196 | 3.578125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -o nounset
BASE_DIR=$(dirname "$0")
echo "[aem-helloworld] Executing Custom Stack Provisioner post-common step..."
# Translate puppet detailed exit codes to basic convention 0 to indicate success.
# More info on Puppet --detailed-exitcodes https://puppet.com/docs/puppet/5.3/man/agent.html
tra... | true |
ecceceec0125f50a9ab5e8922045e7a78da5abcf | Shell | rgabriana/Work | /old_work/svn/gems/tags/2.1.0_alpha_rc1/scripts/support.sh | UTF-8 | 1,180 | 3.671875 | 4 | [] | no_license | #!/bin/bash
####################################################
#Database dump, logs directory and version file are
#archived, compressed in the Enlighted/support
#directory which then can be exported to the GUI
####################################################
# Database details
PGHOST="localhost"
PGUS... | true |
40753ae1fcfdaf5086f17fac0ab6383131d3d2d1 | Shell | dimitrsa/opsys2018-assignment1-1865 | /script1a.sh | UTF-8 | 429 | 3.734375 | 4 | [] | no_license | #!/bin/bash
input="file.in"
while IFS= read -r line
do
# check if input line is a comment
case "$line" in \#*) continue ;; esac
line2="${line//\//\\}"
if wget -q "$line" -O index.html > /dev/null; then
if [ -f "$line2.html" ]; then
cmp --silent "$line2".html index.html || echo "$line"
else... | true |
b4debfd5525bda54ca1e083c3a152d85b9e9f732 | Shell | mlevin2/useful-things | /scripts/slow | UTF-8 | 465 | 2.875 | 3 | [] | no_license | #!/usr/bin/env bash
# makes something run really nicely
# ---------------------------------------------------------------------------
# Runs it a nice level 19 (the lowest priority), ionice class 3 (the nicest),
# and with trickle (throttles network activity). Useful for running something
# non-urgent that you don't w... | true |
26505294b8f7a37a8889e3641c65cb6460226027 | Shell | stevemandl/debian_copyist_brother | /tools/list_printers_files_with_metadata.sh | UTF-8 | 2,655 | 3.78125 | 4 | [
"ISC",
"GPL-2.0-only"
] | permissive | #! /usr/bin/env bash
error_message="error: pass the directory created by the web_brother.sh tools that contains list and files"
if [ "${WEBBROTHER_WORKSPACE}" != '' ]
then
WORKSPACE="${WEBBROTHER_WORKSPACE}"
else
WORKSPACE="$(cd "$(dirname $0)"; pwd)/../material/"
fi
! [ -d "${WORKSPACE}" ] && echo "${error_messag... | true |
2934ca0292395cb30b705af6498a47035d300821 | Shell | kennedysgarage/Voronoi-Diacam | /paper/js/paper/build/preprocess.sh | UTF-8 | 1,332 | 3.53125 | 4 | [
"MIT",
"LicenseRef-scancode-generic-cla"
] | permissive | #!/bin/sh
# Paper.js
#
# This file is part of Paper.js, a JavaScript Vector Graphics Library,
# based on Scriptographer.org and designed to be largely API compatible.
# http://scriptographer.org/
#
# Copyright (c) 2011, Juerg Lehni & Jonathan Puckey
# http://lehni.org/ & http://jonathanpuckey.com/
#
# Distributed unde... | true |
614ccdbca512a50855263fdf6c7cc3fe8233c8a5 | Shell | ZJULearning/RMI | /crf/crf_eval.sh | UTF-8 | 2,958 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# python PATH
export PYTHONPATH="${PYTHONPATH}:${HOME}/github"
# hyperparameter
echo -n "input the gpu (seperate by comma (,) ): "
read gpus
export CUDA_VISIBLE_DEVICES=${gpus}
echo "using gpus ${gpus}"
# replace comma(,) with empty
#gpus=${gpus//,/}
# the number of characters
#num_gpus=${#gpus}
#echo "t... | true |
fab889655cb801de884cbb218cec248eff3498a9 | Shell | tiburon-777/OTUS_HighLoad | /cicd/init.sh | UTF-8 | 2,914 | 3.03125 | 3 | [] | no_license | #!/bin/bash
until docker exec mysql_master sh -c 'export MYSQL_PWD=root; mysql -u root -e ";"'
do
echo "Waiting for mysql_master database connection..."
sleep 4
done
priv_stmt='INSTALL PLUGIN rpl_semi_sync_master SONAME "semisync_master.so"; CREATE DATABASE IF NOT EXISTS app CHARACTER SET utf8 COLLATE utf8_ge... | true |
708e381b7c0039d64d949633bdbdbf654c5ed69a | Shell | hmasmoudi/SyphaxOS | /Default/0003-SyphaxOSGnome3/001_BuildPackagesScripts/0163-gnome-power-manager/PKGBUILD | UTF-8 | 743 | 2.6875 | 3 | [] | no_license | # Maintainer: Hatem Masmoudi <hatem.masmoudi@gmail.com>
pkgname=gnome-power-manager
pkgver=3.26.0
pkgrel=2
pkgdesc="The GNOME Power Manager package contains a tool used to report on power management on the system."
arch=('x86_64')
url="http://ftp.gnome.org/pub/gnome/sources/gnome-power-manager/3.26"
license=('GPL')
gr... | true |
56519a5b8d2e9b4301c2d06d6708489a30f61ce2 | Shell | marian-nmt/marian-regression-tests | /tests/factors/test_factors_transformer.sh | UTF-8 | 1,280 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/bin/bash -x
#####################################################################
# SUMMARY: Training a factored model using the transformer model
# AUTHOR: pedrodiascoelho
# TAGS: factors
#####################################################################
# Exit on error
set -e
# Remove old artifacts and crea... | true |
cf5070ce6459b87e04b977e8f617937c854a36da | Shell | JohnnyBeProgramming/deploy-cloud-app | /cloud/local/destroy.sh | UTF-8 | 679 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# -----------------------------------------------------------------------------
set -euo pipefail # Stop running the script on first error...
# -----------------------------------------------------------------------------
# Install docker for desktop:
# - https://www.docker.com/products/docker-desktop
# --... | true |
ebdc263a20257db82ae6c914fd46c5734da42685 | Shell | tomees/Nginx-vhost-deploy | /deploy/vhost.sh | UTF-8 | 817 | 3.921875 | 4 | [] | no_license | #!/bin/bash
if [ -z $DOMAIN ]; then
echo "No domain name given"
exit 1
fi
# check the domain is roughly valid!
PATTERN="^([[:alnum:]]([[:alnum:]\-]{0,61}[[:alnum:]])?\.)+[[:alpha:]]{2,6}$"
if [[ "$DOMAIN" =~ $PATTERN ]]; then
DOMAIN=`echo $DOMAIN | tr '[A-Z]' '[a-z]'`
echo "Vytvářím vhost pro doménu" $DOMAIN
else... | true |
5c2fd8d3c8f79cd835124ca86d468bc85d49d38a | Shell | Ankit0506/Programme | /printarray.sh | UTF-8 | 188 | 2.546875 | 3 | [] | no_license | #!/bin/bash
arr=(prakhar ankit 1 risabh manish abhinav)
echo ${arr[@]}
echo ${arr[*]}
echo ${arr[@]:0}
echo ${arr[*]:0}
echo ${arr[0]}
echo ${arr}
echo ${arr[@]:2,5}
echo ${arr[0]//a/A}
echo ${arr[0]//r/R}
| true |
3a1d55a7612ee9830994db3289726791d6eeae97 | Shell | jxjhheric/MIUI-10-China-Debloat | /config.sh | UTF-8 | 5,271 | 2.6875 | 3 | [] | no_license | ##########################################################################################
#
# Magisk Module Template Config Script
# by topjohnwu
#
##########################################################################################
################################################################################... | true |
284c58383fabbe404487e8013d0bb3d0f0bebc4b | Shell | garyellis/docker-squid | /entrypoint.sh | UTF-8 | 1,188 | 3.453125 | 3 | [] | no_license | #!/bin/bash -e
set -x
export WHITELIST_FROM_ENV_ENABLED=${WHITELIST_FROM_ENV_ENABLED:-true}
export WHITELIST_DOMAIN_NAMES="${WHITELIST_DOMAIN_NAMES:-google.com,github.com}"
function makedirs(){
mkdir -p /var/log/squid && chmod 777 /var/log/squid
mkdir -p /var/spool/squid && chmod 777 /var/spool/squid
}
function ... | true |
a3689144e89ea733c134d509df10168cba340fa1 | Shell | webis-de/wasp | /app/pywb/run.sh | UTF-8 | 271 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
pywb_port=${PYWB_PORT:=8001}
case $1 in
start)
source env/bin/activate
wayback --port $pywb_port --record 1> pywb.log 2>&1 &
echo $! > pid.txt
;;
stop)
pid=$(cat pid.txt)
kill $pid
;;
*)
echo Unknown command: $1
esac
| true |
175a7611b8326e632749917d7d7321837e6b718d | Shell | sonalsannigrahi/Archers-Final | /workaround.sh | UTF-8 | 375 | 3.484375 | 3 | [] | no_license | #!/bin/bash
function change_permission {
echo "Changing permission of $1"
str=$(xattr -p com.apple.quarantine "$1" | sed 's/^0081/00c1/')
xattr -w com.apple.quarantine "$str" "$1"
}
[ $(id -u) -eq 0 ] || { echo "Must be run as root. Try sudo."; exit; }
for f in /usr/local/lib/libsfml-* /Library/Frameworks/{fre... | true |
241d5aa8effbda4ec7e03c8166bac789fd861a98 | Shell | atemaguer/chunky | /run_chunkservers.sh | UTF-8 | 445 | 3.28125 | 3 | [] | no_license | #!/bin/bash
# How many chunkservers to start
N_CHUNKSERVERS=${1:-2}
# Launch in detached mode the chunkservers
echo "Launching chunkservers"
for i in $(seq 1 $N_CHUNKSERVERS); do
cs_name="chunkserver_$i"
echo "Name: $cs_name"
volume_name="vol_$i"
docker run -d --rm --mount source=${volume_name},target... | true |
eed5b4243bf2b3af79926cf292df4cc7dfc3cede | Shell | mbornoz/veewee | /templates/SLES-11-SP1-DVD-i586-GM/postinstall.sh | UTF-8 | 1,425 | 2.984375 | 3 | [
"MIT"
] | permissive | #
# postinstall.sh
#
date > /etc/vagrant_box_build_time
# install vagrant key
echo -e "\ninstall vagrant key ..."
mkdir -m 0700 /home/vagrant/.ssh
cd /home/vagrant/.ssh
wget --no-check-certificate -O authorized_keys https://raw.github.com/mitchellh/vagrant/master/keys/vagrant.pub
chmod 0600 /home/vagrant/.ssh/authori... | true |
0c655c9f000546bf724e2ba53c0bd455325e04a5 | Shell | cristivlas/zerobugs | /engine/testsuite/test_no_info.sh | UTF-8 | 919 | 2.9375 | 3 | [
"BSL-1.0"
] | permissive | # vim: tabstop=4:softtabstop=4:expandtab:shiftwidth=4
# $Id$
################################################################
#
################################################################
function test_no_info()
{
echo ----- ${FUNCNAME}${1:-$debug} ----- >> $logfile
cat > foo.cpp << '---end---'
// foo.cpp
int fo... | true |
ed538f9790a762b96916414435840833a491eca6 | Shell | shivgupt/ipfs_gallery | /ops/publish.sh | UTF-8 | 833 | 3.8125 | 4 | [] | no_license | #!/bin/bash
service='ipfs_daemon'
category='videos'
index="$HOME/ipfs/$category/index.html"
touch $index
daemon=`docker inspect --format '{{.Status.ContainerStatus.ContainerID}}' $(docker service ps -q $service | head -n1)`
echo "Found daemon $daemon"
if [[ -z "`ipfs key list | grep $category`" ]]; then ipfs key ge... | true |
7541a8892f270486d719e4c147e6fdca5fee6917 | Shell | control-center/serviced | /pkg/reversion/deb/reversion.sh | UTF-8 | 1,036 | 3.84375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
if [ "$#" -ne 3 ]
then
echo "ERROR: incorrect number of arguments"
echo "USAGE: $0 sourceRepoClass sourceVersion targetVersion"
echo ""
echo "Example - reversion unstable 1.0.0-2113~xenial to 1.0.0rc1:"
echo "$0 unstable 1.0.0-2113~xenial 1.0.0rc1"
echo ""
echo "Example - reversion testing 1.0.0rc1 t... | true |
d888e5c79ae064bab93b453d5ac31f665febb8a4 | Shell | metakirby5/.dots | /base/.config/bash/configs/shims/adb.bash | UTF-8 | 241 | 3.203125 | 3 | [
"MIT"
] | permissive | adb() {
local cmd="$1"; shift
case "$cmd" in
file)
command adbf "$@"
;;
reinstall)
command adb install -rd "$@"
;;
'')
command adb
;;
*)
command adb "$cmd" "$@"
;;
esac
}
| true |
bd12acceac400897ee38734119fe213180db22f6 | Shell | yvvyoon/blockchain-project-belief | /2.back/basic-2org/start.sh | UTF-8 | 2,683 | 2.625 | 3 | [
"CC-BY-4.0"
] | permissive | #!/bin/bash
#basic-network start.sh
#
# Copyright IBM Corp All Rights Reserved
#
# SPDX-License-Identifier: Apache-2.0
#
# Exit on first error, print all commands.
set -ev
# don't rewrite paths for Windows Git Bash users
export MSYS_NO_PATHCONV=1
docker-compose -f docker-compose.yml down
docker-compose -f docker-com... | true |
0d6bec2c7b4a7e7b6eebc26babd675aed60fcc65 | Shell | dojot/ansible-dojot | /scripts/down | UTF-8 | 1,239 | 4.09375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Removes all the dojot components that are running in a Kubernetes environment.
## Check the dependencies before running the rest of the script
echo "Checking dependencies..."
echo "Checking kubectl..."
if ! command -v kubectl &> /dev/null
then
echo "You must have Kubernetes installed!"
exit 1
fi
echo "... | true |
f2cf7064f90599b8f43b3ff58a45136b75bbb09e | Shell | lmdu/pyfastx | /benchmark/benchmark_fasta_build_index.sh | UTF-8 | 3,044 | 3.765625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#store benchmark time and memory
tempfile=time_mem.tmp
#record memory
memorys=()
#record elapsed time
times=()
#record index file size
sizes=()
#number of programs
num=-1
#number of repeat tests
repeats=$1
#input fasta files
gfiles=$@
measure_memory_time(){
/usr/bin/time -f "%e %M" -o $tempfile $1 ... | true |
dc9a979770eadb2539f04e95552f666bff917d52 | Shell | varesa/libvirt-vlan-config | /apply.sh | UTF-8 | 1,470 | 4.03125 | 4 | [] | no_license |
set -euo pipefail
network=${1:-}
([ -n "$network" ] && virsh net-list --name | head -n-1 | grep -q $network) || (echo "First argument must be name of libvirt network"; exit 1)
path=${2:-}
([ -n "$path" ] && [ -d $path/create ]) || (echo "Second argument must be a path that contains directories create/ and remove/"... | true |
97a8e4c516f8351decccb79e2e5323225b2dae81 | Shell | mikhailadvani/my_utils | /machine-setup/10-terraform.sh | UTF-8 | 423 | 2.921875 | 3 | [] | no_license | set -e
TERRAFORM_DOWNLOAD_URL="https://releases.hashicorp.com/terraform/0.12.7/terraform_0.12.7_darwin_amd64.zip"
TERRAFORM_TMP_DIR="/tmp/terraform"
mkdir -p $TERRAFORM_TMP_DIR
curl -o $TERRAFORM_TMP_DIR/terraform.zip $TERRAFORM_DOWNLOAD_URL
unzip $TERRAFORM_TMP_DIR/terraform.zip -d $TERRAFORM_TMP_DIR
sudo mv $TERRAF... | true |
275fb0086a03dda0a41fffe17b786ee373d685e6 | Shell | TurpIF/config | /etc/inputrc | UTF-8 | 1,553 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# Configuration for shell input mode.
#
# vim: set ft=sh
# Set vi's context
set editing-mode vi
# List all matches in case multiple possible completions are possible
set show-all-if-ambiguous on
# Immediately add a trailing slash when autocompleting symlinks to directories
set mark-symlinked-directorie... | true |
4b25c91eddfb674dfee494a56d1fa0186b864e10 | Shell | peteletroll/DockRotate | /mkrelease.sh | UTF-8 | 3,483 | 3.515625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
name=DockRotate
ksphome=~/KSP/KSP_linux
force=0
zipname=''
while getopts fz: opt
do
case $opt in
f)
force=1
;;
z)
zipname="$OPTARG"
;;
*)
exit 1
;;
esac
done
shift `expr $OPTIND - 1`
cd `dirname $0` || exit 1
# [assembly: AssemblyVersion ("1.3.1.1")]
version=`sed -n 's/.*\<AssemblyVers... | true |
55439d300ddc2e6720aff1cdcfad070c22120540 | Shell | MrYing/yunba-smartoffice-1 | /tests/tc_control.sh | UTF-8 | 297 | 2.984375 | 3 | [
"MIT"
] | permissive | if [ $# -lt 2 ] ; then
echo usage: `basename ${0}` '<ALIAS> <on_off|mode|fan|inc|dec>'
echo e.g.: `basename ${0}` '"temp_ctrl_0"' '"mode"'
exit 1
fi
alias="${1}"
cmd="${2}"
msg="{\\\"cmd\\\":\\\"${cmd}\\\",\\\"devid\\\":\\\"${alias}\\\"}"
#echo "${msg}"
./publish.sh "${alias}" "${msg}"
| true |
95feb353a315381dc62e2a85f05e240e52cce77b | Shell | chrisspen/django-chroniker | /init_virtualenv.sh | UTF-8 | 426 | 3.171875 | 3 | [] | no_license | #!/bin/bash
set -e
cd "$(dirname "$0")"
echo "[$(date)] Removing existing virtualenv if it exists."
[ -d .env ] && rm -Rf .env
echo "[$(date)] Creating virtual environment."
python3.8 -m venv .env
echo "[$(date)] Activating virtual environment."
. .env/bin/activate
echo "[$(date)] Upgrading pip."
pip install -U pi... | true |
db46a375be5bd57468290fd967aec99c64100f8c | Shell | luavela/luavela | /3rdparty/udis86/scripts/asmtest.sh | UTF-8 | 749 | 2.90625 | 3 | [
"MIT",
"CC-PDDC",
"BSD-2-Clause",
"FSFUL"
] | permissive | #!/usr/bin/env bash
objdump="otool -tV"
yasm=yasm
asmfile="ud_yasmtest.asm"
binfile="ud_yasmtest.bin"
Sfile="ud_yasmtest.S"
objfile="ud_yasmtest.o"
echo "[bits $1]" > $asmfile
echo $2 >> $asmfile
$yasm -f bin -o $binfile $asmfile
if [ ! $? -eq 0 ]; then
echo "error: failed to assemble"
exit 1
fi
echo "-- ... | true |
576450b3323475087c247c894867ee40544b6215 | Shell | glours/docker-ce-tags | /check/check-tags.sh | UTF-8 | 289 | 2.96875 | 3 | [] | no_license | #!/bin/sh
COMPONENT=$1
TAG=$2
COMMIT=$3
#echo "Checking docker/${COMPONENT}@${TAG}"
(cd docker-ce && git checkout ${TAG} &> /dev/null)
(cd "${COMPONENT}-extract" && git checkout ${COMMIT} &> /dev/null)
diff -r --exclude=".git" "docker-ce/components/${COMPONENT}" "${COMPONENT}-extract" | true |
dbd21ed6d638b6cb0c497d515419a3fe8f90b8d1 | Shell | pauldmccarthy/indexed_gzip | /.ci/build_dev_indexed_gzip.sh | UTF-8 | 270 | 2.8125 | 3 | [
"Zlib"
] | permissive | #!/usr/bin/env bash
#
# Build a test version of indexed_gzip.
set -e
envdir="$1"
thisdir=$(cd $(dirname "$0") && pwd)
source $thisdir/activate_env.sh "$envdir"
# enable line tracing for cython
# modules - see setup.py
export INDEXED_GZIP_TESTING=1
pip install -e .
| true |
19f6f7509ba669022ebc6edcc0b1153890ec8ae4 | Shell | gidapataki/nng-2016 | /final/runner.sh | UTF-8 | 603 | 3.671875 | 4 | [] | no_license | #!/usr/bin/env bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
PID=
cd "${REPOSITORY}"
isRebuildNeeded() {
git remote update &>/dev/null
diffcount=$(git rev-list HEAD...origin/master --count)
if [ "$diffcount" -gt "0" ]; then
echo "yes"
else
echo "no"
fi
}
rebuild() {
git checkout ... | true |
cd839896c1bb9445812fac3c7dd490a23933e682 | Shell | Mikail-Eliyah/openssl_at_1st_sight | /functions/data_convert.sh | UTF-8 | 3,962 | 4.03125 | 4 | [] | no_license | #!/bin/bash
function hex_string_file_to_file(){
read -p "file in (e.g. 00.txt): " file_in_name
read -p "file out (e.g. 01.txt): " file_out_name
cat $file_in_name | xxd -r -p > $file_out_name
}
function file_to_hex_string_file(){
read -p "file in (e.g. data.txt): " file_in_name
read -p "file out (e.g. 00.txt): "... | true |
b1db43f7ed7a6d4db21fd5f828645c40134017c2 | Shell | dixondj/shell_scripting_exe | /greet_user/greet_user.sh | UTF-8 | 140 | 2.828125 | 3 | [] | no_license | # !/bin/bash
if [ -z $1 ]
then
echo "ERROR: No input is provided. Exiting now..."
exit 1
else
echo "Hello, nice to meet you $1"
fi
| true |
3352ed9ec94a6064ab3b66652e8c45475d86a2bc | Shell | thomasmettler/tompi2 | /ip_logger/ip_logger.sh | UTF-8 | 910 | 3.390625 | 3 | [] | no_license | #!/bin/bash
OUTPUT_FILE=ips.txt
# Grab this server's public IP address
#PUBLIC_IP=`curl -s https://ipinfo.io/ip`
current_date_time="`date "+%Y-%m-%d %H:%M:%S"`";
ouput_ips="`sudo arp-scan --localnet --retry=3 | grep [a-z0-9][a-z0-9]:[a-z0-9][a-z0-9]:[a-z0-9][a-z0-9]:[a-z0-9][a-z0-9]:[a-z0-9][a-z0-9]:[a-z0-9][a-z0-9]`"... | true |
a8a1a0716d721b85471e1a17b0278670a8f6d8e0 | Shell | xifeiwu/workcode | /bash/exam/opensourcebak.sh | UTF-8 | 4,550 | 3.40625 | 3 | [] | no_license | #!/bin/sh
#/etc/init.d/mysqld stop #执行备份前先停止MySql,防止有数据正在写入,备份出错
#备份规划:在本地新建一个文件夹备份当天的文件,文件名格式:2013-04-0。
#文件夹下的mysql存放数据库的备份文件,project目前未使用。
#对mysql文件夹打包,找到项目目录打包并复制到备份文件夹下,bak.log文件记录备份信息。
MAXDAYS=15 #MAXDAYS=15代表删除15天前的备份,即只保留最近15天的备份
BK_DIR=/root/BackUp/ #备份文件存放路径:/root/Ba... | true |
a976399f03819db82fc44c87c0dff54f72b62302 | Shell | vaibs1997/shell-programming | /Arrays/repeatedTwice.sh | UTF-8 | 126 | 3.015625 | 3 | [] | no_license | #!/bin/bash
for (( i=1; i<=100; i++ ))
do
if [ $(($i%11)) == 0 ]
then
arr[$i]=$i
fi
done
echo ${arr[@]}
| true |
d3b634976291f70e562d33e97e4e8f9260782926 | Shell | jbussdieker/c-http_server | /autogen.sh | UTF-8 | 473 | 3.375 | 3 | [] | no_license | #!/bin/sh
warn() {
echo "WARNING: $@" 1>&2
}
case `uname -s` in
Darwin)
LIBTOOLIZE=glibtoolize
;;
FreeBSD)
LIBTOOLIZE=libtoolize
;;
OpenBSD)
LIBTOOLIZE=libtoolize
;;
Linux)
LIBTOOLIZE=libtoolize
;;
SunOS)
LIBTOOLIZE=libtoolize
;;
*)
warn "unrecognized platform:" `uname -... | true |
22d809d37f39a76fe74422c82e8dd3e58db060fe | Shell | urjaman/szdev-recipes | /pre-load.sh | UTF-8 | 231 | 2.9375 | 3 | [] | no_license | #!/bin/bash
# This is a little hack of a script to load the big git repos from outside dchrt
# by just abusing makepkg
set -e
set -x
MAKEPKG=makepkg
for d in gcc-new binutils; do
cd $d
$MAKEPKG -A -d -o -p PNDBUILD
cd ..
done
| true |
3de58811281c3673b7233f0cff8cecf8c136052e | Shell | gomttang/dotfiles | /bootstrap.sh | UTF-8 | 1,385 | 3.0625 | 3 | [] | no_license | # Brew install
if test ! $(which brew); then
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
brew update
brew tap homebrew/bundle
# Brewfile 을 읽어서 업데이트 한다.
brew bundle --file=$HOME/Dropbox/dotfiles/Brewfile
brew cleanup
brew cask cleanup
# git file update
[ ! -f $HOME/.... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.